package com.sun.image.codec.jpeg;

import java.awt.image.BufferedImage;
import java.awt.image.Raster;

public class TruncatedFileException extends RuntimeException
{
    private Raster ras;
    private BufferedImage bi;
    
    public TruncatedFileException(BufferedImage bi) {
        super("Premature end of input file");
        this.ras = null;
        this.bi = null;
        this.bi = bi;
        this.ras = bi.getData();
    }
    
    public TruncatedFileException(Raster ras) {
        super("Premature end of input file");
        this.ras = null;
        this.bi = null;
        this.ras = ras;
    }
    
    public Raster getRaster() {
        return this.ras;
    }
    
    public BufferedImage getBufferedImage() {
        return this.bi;
    }
}
